#!/usr/bin/python
# -*- coding:utf-8 -*-
#

#
__author__ = 'nasiry.teng@gmail.com'
import os
import platform
import sys
import warnings

try:
    # Use setuptools if available, for install_requires (among other things).
    import setuptools
    from setuptools import setup
except ImportError:
    setuptools = None
    from distutils.core import setup

from distutils.core import Extension

PACKAGE = "ueditor4tornado"
NAME = "ueditor4tornado"
DESCRIPTION = "light intergate Baidu Ueditor & Tornado"
AUTHOR = "jcteng"
AUTHOR_EMAIL = "jianchao.teng@outlook.com"
URL = "github.com/jcteng"
VERSION = __import__(PACKAGE).__version__

f = open('README.rst')

setup(
    name=NAME,
    version=VERSION,
    description=DESCRIPTION,
    long_description=f.read(),
    author=AUTHOR,
    author_email=AUTHOR_EMAIL,
    license="BSD",
    url=URL,
    packages=["ueditor4tornado"],
    package_data={"ueditor4tornado": [
        "templates/config.json",
        'statics/ueditor/ueditor.all.js', 'statics/ueditor/ueditor.all.min.js', 'statics/ueditor/ueditor.config.js',
        'statics/ueditor/ueditor.parse.js', 'statics/ueditor/ueditor.parse.min.js',
        'statics/ueditor/dialogs/internal.js', 'statics/ueditor/dialogs/anchor/anchor.html',
        'statics/ueditor/dialogs/attachment/attachment.css', 'statics/ueditor/dialogs/attachment/attachment.html',
        'statics/ueditor/dialogs/attachment/attachment.js',
        'statics/ueditor/dialogs/attachment/fileTypeImages/icon_chm.gif',
        'statics/ueditor/dialogs/attachment/fileTypeImages/icon_default.png',
        'statics/ueditor/dialogs/attachment/fileTypeImages/icon_doc.gif',
        'statics/ueditor/dialogs/attachment/fileTypeImages/icon_exe.gif',
        'statics/ueditor/dialogs/attachment/fileTypeImages/icon_jpg.gif',
        'statics/ueditor/dialogs/attachment/fileTypeImages/icon_mp3.gif',
        'statics/ueditor/dialogs/attachment/fileTypeImages/icon_mv.gif',
        'statics/ueditor/dialogs/attachment/fileTypeImages/icon_pdf.gif',
        'statics/ueditor/dialogs/attachment/fileTypeImages/icon_ppt.gif',
        'statics/ueditor/dialogs/attachment/fileTypeImages/icon_psd.gif',
        'statics/ueditor/dialogs/attachment/fileTypeImages/icon_rar.gif',
        'statics/ueditor/dialogs/attachment/fileTypeImages/icon_txt.gif',
        'statics/ueditor/dialogs/attachment/fileTypeImages/icon_xls.gif',
        'statics/ueditor/dialogs/attachment/images/alignicon.gif',
        'statics/ueditor/dialogs/attachment/images/alignicon.png', 'statics/ueditor/dialogs/attachment/images/bg.png',
        'statics/ueditor/dialogs/attachment/images/file-icons.gif',
        'statics/ueditor/dialogs/attachment/images/file-icons.png',
        'statics/ueditor/dialogs/attachment/images/icons.gif', 'statics/ueditor/dialogs/attachment/images/icons.png',
        'statics/ueditor/dialogs/attachment/images/image.png', 'statics/ueditor/dialogs/attachment/images/progress.png',
        'statics/ueditor/dialogs/attachment/images/success.gif',
        'statics/ueditor/dialogs/attachment/images/success.png', 'statics/ueditor/dialogs/background/background.css',
        'statics/ueditor/dialogs/background/background.html', 'statics/ueditor/dialogs/background/background.js',
        'statics/ueditor/dialogs/background/images/bg.png', 'statics/ueditor/dialogs/background/images/success.png',
        'statics/ueditor/dialogs/charts/chart.config.js', 'statics/ueditor/dialogs/charts/charts.css',
        'statics/ueditor/dialogs/charts/charts.html', 'statics/ueditor/dialogs/charts/charts.js',
        'statics/ueditor/dialogs/charts/images/charts0.png', 'statics/ueditor/dialogs/charts/images/charts1.png',
        'statics/ueditor/dialogs/charts/images/charts2.png', 'statics/ueditor/dialogs/charts/images/charts3.png',
        'statics/ueditor/dialogs/charts/images/charts4.png', 'statics/ueditor/dialogs/charts/images/charts5.png',
        'statics/ueditor/dialogs/emotion/emotion.css', 'statics/ueditor/dialogs/emotion/emotion.html',
        'statics/ueditor/dialogs/emotion/emotion.js', 'statics/ueditor/dialogs/emotion/images/0.gif',
        'statics/ueditor/dialogs/emotion/images/bface.gif', 'statics/ueditor/dialogs/emotion/images/cface.gif',
        'statics/ueditor/dialogs/emotion/images/fface.gif', 'statics/ueditor/dialogs/emotion/images/jxface2.gif',
        'statics/ueditor/dialogs/emotion/images/neweditor-tab-bg.png',
        'statics/ueditor/dialogs/emotion/images/tface.gif', 'statics/ueditor/dialogs/emotion/images/wface.gif',
        'statics/ueditor/dialogs/emotion/images/yface.gif', 'statics/ueditor/dialogs/gmap/gmap.html',
        'statics/ueditor/dialogs/help/help.css', 'statics/ueditor/dialogs/help/help.html',
        'statics/ueditor/dialogs/help/help.js', 'statics/ueditor/dialogs/image/image.css',
        'statics/ueditor/dialogs/image/image.html', 'statics/ueditor/dialogs/image/image.js',
        'statics/ueditor/dialogs/image/images/alignicon.jpg', 'statics/ueditor/dialogs/image/images/bg.png',
        'statics/ueditor/dialogs/image/images/icons.gif', 'statics/ueditor/dialogs/image/images/icons.png',
        'statics/ueditor/dialogs/image/images/image.png', 'statics/ueditor/dialogs/image/images/progress.png',
        'statics/ueditor/dialogs/image/images/success.gif', 'statics/ueditor/dialogs/image/images/success.png',
        'statics/ueditor/dialogs/insertframe/insertframe.html', 'statics/ueditor/dialogs/link/link.html',
        'statics/ueditor/dialogs/map/map.html', 'statics/ueditor/dialogs/map/show.html',
        'statics/ueditor/dialogs/music/music.css', 'statics/ueditor/dialogs/music/music.html',
        'statics/ueditor/dialogs/music/music.js', 'statics/ueditor/dialogs/preview/preview.html',
        'statics/ueditor/dialogs/scrawl/scrawl.css', 'statics/ueditor/dialogs/scrawl/scrawl.html',
        'statics/ueditor/dialogs/scrawl/scrawl.js', 'statics/ueditor/dialogs/scrawl/images/addimg.png',
        'statics/ueditor/dialogs/scrawl/images/brush.png', 'statics/ueditor/dialogs/scrawl/images/delimg.png',
        'statics/ueditor/dialogs/scrawl/images/delimgH.png', 'statics/ueditor/dialogs/scrawl/images/empty.png',
        'statics/ueditor/dialogs/scrawl/images/emptyH.png', 'statics/ueditor/dialogs/scrawl/images/eraser.png',
        'statics/ueditor/dialogs/scrawl/images/redo.png', 'statics/ueditor/dialogs/scrawl/images/redoH.png',
        'statics/ueditor/dialogs/scrawl/images/scale.png', 'statics/ueditor/dialogs/scrawl/images/scaleH.png',
        'statics/ueditor/dialogs/scrawl/images/size.png', 'statics/ueditor/dialogs/scrawl/images/undo.png',
        'statics/ueditor/dialogs/scrawl/images/undoH.png', 'statics/ueditor/dialogs/searchreplace/searchreplace.html',
        'statics/ueditor/dialogs/searchreplace/searchreplace.js', 'statics/ueditor/dialogs/snapscreen/snapscreen.html',
        'statics/ueditor/dialogs/spechars/spechars.html', 'statics/ueditor/dialogs/spechars/spechars.js',
        'statics/ueditor/dialogs/table/dragicon.png', 'statics/ueditor/dialogs/table/edittable.css',
        'statics/ueditor/dialogs/table/edittable.html', 'statics/ueditor/dialogs/table/edittable.js',
        'statics/ueditor/dialogs/table/edittd.html', 'statics/ueditor/dialogs/table/edittip.html',
        'statics/ueditor/dialogs/template/config.js', 'statics/ueditor/dialogs/template/template.css',
        'statics/ueditor/dialogs/template/template.html', 'statics/ueditor/dialogs/template/template.js',
        'statics/ueditor/dialogs/template/images/bg.gif', 'statics/ueditor/dialogs/template/images/pre0.png',
        'statics/ueditor/dialogs/template/images/pre1.png', 'statics/ueditor/dialogs/template/images/pre2.png',
        'statics/ueditor/dialogs/template/images/pre3.png', 'statics/ueditor/dialogs/template/images/pre4.png',
        'statics/ueditor/dialogs/video/video.css', 'statics/ueditor/dialogs/video/video.html',
        'statics/ueditor/dialogs/video/video.js', 'statics/ueditor/dialogs/video/images/bg.png',
        'statics/ueditor/dialogs/video/images/center_focus.jpg', 'statics/ueditor/dialogs/video/images/file-icons.gif',
        'statics/ueditor/dialogs/video/images/file-icons.png', 'statics/ueditor/dialogs/video/images/icons.gif',
        'statics/ueditor/dialogs/video/images/icons.png', 'statics/ueditor/dialogs/video/images/image.png',
        'statics/ueditor/dialogs/video/images/left_focus.jpg', 'statics/ueditor/dialogs/video/images/none_focus.jpg',
        'statics/ueditor/dialogs/video/images/progress.png', 'statics/ueditor/dialogs/video/images/right_focus.jpg',
        'statics/ueditor/dialogs/video/images/success.gif', 'statics/ueditor/dialogs/video/images/success.png',
        'statics/ueditor/dialogs/webapp/webapp.html', 'statics/ueditor/dialogs/wordimage/fClipboard_ueditor.swf',
        'statics/ueditor/dialogs/wordimage/imageUploader.swf', 'statics/ueditor/dialogs/wordimage/tangram.js',
        'statics/ueditor/dialogs/wordimage/wordimage.html', 'statics/ueditor/dialogs/wordimage/wordimage.js',
        'statics/ueditor/lang/en/en.js', 'statics/ueditor/lang/en/images/addimage.png',
        'statics/ueditor/lang/en/images/alldeletebtnhoverskin.png',
        'statics/ueditor/lang/en/images/alldeletebtnupskin.png', 'statics/ueditor/lang/en/images/background.png',
        'statics/ueditor/lang/en/images/button.png', 'statics/ueditor/lang/en/images/copy.png',
        'statics/ueditor/lang/en/images/deletedisable.png', 'statics/ueditor/lang/en/images/deleteenable.png',
        'statics/ueditor/lang/en/images/listbackground.png', 'statics/ueditor/lang/en/images/localimage.png',
        'statics/ueditor/lang/en/images/music.png', 'statics/ueditor/lang/en/images/rotateleftdisable.png',
        'statics/ueditor/lang/en/images/rotateleftenable.png', 'statics/ueditor/lang/en/images/rotaterightdisable.png',
        'statics/ueditor/lang/en/images/rotaterightenable.png', 'statics/ueditor/lang/en/images/upload.png',
        'statics/ueditor/lang/zh-cn/zh-cn.js', 'statics/ueditor/lang/zh-cn/images/copy.png',
        'statics/ueditor/lang/zh-cn/images/localimage.png', 'statics/ueditor/lang/zh-cn/images/music.png',
        'statics/ueditor/lang/zh-cn/images/upload.png', 'statics/ueditor/themes/iframe.css',
        'statics/ueditor/themes/default/dialogbase.css', 'statics/ueditor/themes/default/css/ueditor.css',
        'statics/ueditor/themes/default/css/ueditor.min.css', 'statics/ueditor/themes/default/images/anchor.gif',
        'statics/ueditor/themes/default/images/arrow.png', 'statics/ueditor/themes/default/images/arrow_down.png',
        'statics/ueditor/themes/default/images/arrow_up.png', 'statics/ueditor/themes/default/images/button-bg.gif',
        'statics/ueditor/themes/default/images/cancelbutton.gif', 'statics/ueditor/themes/default/images/charts.png',
        'statics/ueditor/themes/default/images/cursor_h.gif', 'statics/ueditor/themes/default/images/cursor_h.png',
        'statics/ueditor/themes/default/images/cursor_v.gif', 'statics/ueditor/themes/default/images/cursor_v.png',
        'statics/ueditor/themes/default/images/dialog-title-bg.png',
        'statics/ueditor/themes/default/images/filescan.png', 'statics/ueditor/themes/default/images/highlighted.gif',
        'statics/ueditor/themes/default/images/icons-all.gif', 'statics/ueditor/themes/default/images/icons.gif',
        'statics/ueditor/themes/default/images/icons.png', 'statics/ueditor/themes/default/images/loaderror.png',
        'statics/ueditor/themes/default/images/loading.gif', 'statics/ueditor/themes/default/images/lock.gif',
        'statics/ueditor/themes/default/images/neweditor-tab-bg.png',
        'statics/ueditor/themes/default/images/pagebreak.gif', 'statics/ueditor/themes/default/images/scale.png',
        'statics/ueditor/themes/default/images/sortable.png', 'statics/ueditor/themes/default/images/spacer.gif',
        'statics/ueditor/themes/default/images/sparator_v.png',
        'statics/ueditor/themes/default/images/table-cell-align.png',
        'statics/ueditor/themes/default/images/tangram-colorpicker.png',
        'statics/ueditor/themes/default/images/toolbar_bg.png',
        'statics/ueditor/themes/default/images/unhighlighted.gif', 'statics/ueditor/themes/default/images/upload.png',
        'statics/ueditor/themes/default/images/videologo.gif', 'statics/ueditor/themes/default/images/word.gif',
        'statics/ueditor/themes/default/images/wordpaste.png', 'statics/ueditor/third-party/jquery-1.10.2.js',
        'statics/ueditor/third-party/jquery-1.10.2.min.js', 'statics/ueditor/third-party/jquery-1.10.2.min.map',
        'statics/ueditor/third-party/codemirror/codemirror.css', 'statics/ueditor/third-party/codemirror/codemirror.js',
        'statics/ueditor/third-party/highcharts/highcharts-more.js',
        'statics/ueditor/third-party/highcharts/highcharts-more.src.js',
        'statics/ueditor/third-party/highcharts/highcharts.js',
        'statics/ueditor/third-party/highcharts/highcharts.src.js',
        'statics/ueditor/third-party/highcharts/adapters/mootools-adapter.js',
        'statics/ueditor/third-party/highcharts/adapters/mootools-adapter.src.js',
        'statics/ueditor/third-party/highcharts/adapters/prototype-adapter.js',
        'statics/ueditor/third-party/highcharts/adapters/prototype-adapter.src.js',
        'statics/ueditor/third-party/highcharts/adapters/standalone-framework.js',
        'statics/ueditor/third-party/highcharts/adapters/standalone-framework.src.js',
        'statics/ueditor/third-party/highcharts/modules/annotations.js',
        'statics/ueditor/third-party/highcharts/modules/annotations.src.js',
        'statics/ueditor/third-party/highcharts/modules/canvas-tools.js',
        'statics/ueditor/third-party/highcharts/modules/canvas-tools.src.js',
        'statics/ueditor/third-party/highcharts/modules/data.js',
        'statics/ueditor/third-party/highcharts/modules/data.src.js',
        'statics/ueditor/third-party/highcharts/modules/drilldown.js',
        'statics/ueditor/third-party/highcharts/modules/drilldown.src.js',
        'statics/ueditor/third-party/highcharts/modules/exporting.js',
        'statics/ueditor/third-party/highcharts/modules/exporting.src.js',
        'statics/ueditor/third-party/highcharts/modules/funnel.js',
        'statics/ueditor/third-party/highcharts/modules/funnel.src.js',
        'statics/ueditor/third-party/highcharts/modules/heatmap.js',
        'statics/ueditor/third-party/highcharts/modules/heatmap.src.js',
        'statics/ueditor/third-party/highcharts/modules/map.js',
        'statics/ueditor/third-party/highcharts/modules/map.src.js',
        'statics/ueditor/third-party/highcharts/modules/no-data-to-display.js',
        'statics/ueditor/third-party/highcharts/modules/no-data-to-display.src.js',
        'statics/ueditor/third-party/highcharts/themes/dark-blue.js',
        'statics/ueditor/third-party/highcharts/themes/dark-green.js',
        'statics/ueditor/third-party/highcharts/themes/gray.js',
        'statics/ueditor/third-party/highcharts/themes/grid.js',
        'statics/ueditor/third-party/highcharts/themes/skies.js',
        'statics/ueditor/third-party/snapscreen/UEditorSnapscreen.exe',
        'statics/ueditor/third-party/SyntaxHighlighter/shCore.js',
        'statics/ueditor/third-party/SyntaxHighlighter/shCoreDefault.css',
        'statics/ueditor/third-party/video-js/video-js.css', 'statics/ueditor/third-party/video-js/video-js.min.css',
        'statics/ueditor/third-party/video-js/video-js.swf', 'statics/ueditor/third-party/video-js/video.dev.js',
        'statics/ueditor/third-party/video-js/video.js', 'statics/ueditor/third-party/video-js/font/vjs.eot',
        'statics/ueditor/third-party/video-js/font/vjs.svg', 'statics/ueditor/third-party/video-js/font/vjs.ttf',
        'statics/ueditor/third-party/video-js/font/vjs.woff', 'statics/ueditor/third-party/webuploader/Uploader.swf',
        'statics/ueditor/third-party/webuploader/webuploader.css',
        'statics/ueditor/third-party/webuploader/webuploader.custom.js',
        'statics/ueditor/third-party/webuploader/webuploader.custom.min.js',
        'statics/ueditor/third-party/webuploader/webuploader.flashonly.js',
        'statics/ueditor/third-party/webuploader/webuploader.flashonly.min.js',
        'statics/ueditor/third-party/webuploader/webuploader.html5only.js',
        'statics/ueditor/third-party/webuploader/webuploader.html5only.min.js',
        'statics/ueditor/third-party/webuploader/webuploader.js',
        'statics/ueditor/third-party/webuploader/webuploader.min.js',
        'statics/ueditor/third-party/webuploader/webuploader.withoutimage.js',
        'statics/ueditor/third-party/webuploader/webuploader.withoutimage.min.js',
        'statics/ueditor/third-party/zeroclipboard/ZeroClipboard.js',
        'statics/ueditor/third-party/zeroclipboard/ZeroClipboard.min.js',
        'statics/ueditor/third-party/zeroclipboard/ZeroClipboard.swf',

    ]},
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Environment :: Web Environment",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: BSD License",
        "Operating System :: OS Independent",
        "Programming Language :: Python",

    ],
    zip_safe=False,
)
